> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# List user points transactions (paginated)

> Returns a paginated list of user points transactions sorted by newest first.



## OpenAPI

````yaml /openapi/analytics.json get /users/points-transactions
openapi: 3.1.0
info:
  title: Nudj Analytics API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/analytics
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security: []
paths:
  /users/points-transactions:
    get:
      tags:
        - Users
      summary: List user points transactions (paginated)
      description: >-
        Returns a paginated list of user points transactions sorted by newest
        first.
      operationId: listUserPointsTransactions
      parameters:
        - in: query
          name: userId
          schema:
            type: string
          required: true
        - in: query
          name: communityId
          schema:
            type: string
        - in: query
          name: skip
          schema:
            type: integer
            minimum: 0
            default: 0
          required: false
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        accountingDirection:
                          type: string
                        amount:
                          type: number
                        eventCategory:
                          type: string
                        eventSubCategory:
                          type: string
                        status:
                          type: string
                        createdAt:
                          type: string
                        communityId:
                          type: string
                        externalTransactionReference:
                          type:
                            - string
                            - 'null'
                        eventSourceId:
                          type:
                            - string
                            - 'null'
                      required:
                        - id
                        - accountingDirection
                        - amount
                        - eventCategory
                        - eventSubCategory
                        - status
                        - createdAt
                  pagination:
                    type: object
                    properties:
                      total:
                        type: number
                      skip:
                        type: number
                      limit:
                        type: number
                    required:
                      - total
                      - skip
                      - limit
                required:
                  - data
                  - pagination
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````